# Class TableCellBorders

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - TableCellBorders

- Defined in src/file/table/table-cell/table-cell-components.ts:29

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableCellBorders(options: ITableCellBorders): TableCellBorders

- #### Parameters

  - ##### options: ITableCellBorders

  #### Returns TableCellBorders

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/table/table-cell/table-cell-components.ts:30

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:42

Generated using TypeDoc